<div class="footer">
<?php 
	echo $this->FormOpen("", "TextSearch", "get"); 
	echo $this->HasAccess("write") ? "<a href=\"".$this->href("edit")."\" title=\"ページを編集するにはクリックしてください\">ページを編集</a> ::\n" : "";
	echo "<a href=\"".$this->href("history")."\" title=\"このページの最近の編集履歴を見るにはクリックしてください\">編集履歴</a> ::\n";
	echo $this->GetPageTime() ? "<a href=\"".$this->href("revisions")."\" title=\"このページの最近のリビジョンを見るにはクリックしてください\">".$this->GetPageTime()."</a> <a href=\"".$this->href("revisions.xml")."\" title=\"最近のリビジョン一覧をXMLで見るにはクリックしてください\"><img src=\"images/xml.png\" width=\"36\" height=\"14\" align=\"middle\" style=\"border : 0px;\" alt=\"XML\" /></a> ::\n" : "";

	// if this page exists
	if ($this->page)
	{
		if ($owner = $this->GetPageOwner())
		{
			if ($owner == "(Public)")
			{
				print("Public page ".($this->IsAdmin() ? "<a href=\"".$this->href("acls")."\">(ACLを編集)</a> ::\n" : "::\n"));
			}
			// if owner is current user
			elseif ($this->UserIsOwner())
			{
           			if ($this->IsAdmin())
           			{
					print("所有者: ".$this->Link($owner, "", "", 0)." :: <a href=\"".$this->href("acls")."\">ACLを編集</a> ::\n");
            		} 
            		else 
            		{
					print("あなたがこのページの所有者です。 :: <a href=\"".$this->href("acls")."\">ACLを編集</a> ::\n");
				}
			}
			else
			{
				print("所有者: ".$this->Link($owner, "", "", 0)." ::\n");
			}
		}
		else
		{
			print("Nobody".($this->GetUser() ? " (<a href=\"".$this->href("claim")."\">所有者となる</a>) ::\n" : " ::\n"));
		}
	}
?>
<?php echo ($this->GetUser() ? "<a href='".$this->href("referrers")."' title='このページのリンク元URL一覧を参照するにはクリックしてください。'>リンク元</a> :: " : "") ?> 
検索: <input name="phrase" size="15" class="searchbox" />
<?php echo $this->FormClose(); ?>
</div>

<div class="smallprint">
<?php echo $this->Link("http://validator.w3.org/check/referer", "", "Valid XHTML 1.0 Transitional") ?> ::
<?php echo $this->Link("http://jigsaw.w3.org/css-validator/check/referer", "", "Valid CSS") ?> ::
Powered by <?php echo $this->Link("http://wikkawiki.org/", "", "Wikka Wakka Wiki ".$this->GetWakkaVersion()) ?>
</div>

<?php
	if ($this->GetConfigValue("sql_debugging"))
	{
		print("<div class=\"smallprint\"><strong>Query log:</strong><br />\n");
		foreach ($this->queryLog as $query)
		{
			print($query["query"]." (".$query["time"].")<br />\n");
		}
		print("</div>");
	}
?>